/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.config.spring;

import org.builtu.config.module.Config;
import org.builtu.config.module.Configurable;

public class SimpleBean implements Configurable {
	private String name;
	
	public SimpleBean() {
		
	}
	
	public String getName() {
		return name;
	}

	@Override public void configure(final String moduleName, final Config config) {
		name = config.getString(moduleName+".name");
	}
	
}
